/*
 * @Author: your name
 * @Date: 2022-03-07 17:12:44
 * @LastEditTime: 2022-04-15 11:42:57
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \ybm-patient-miniapp\mainWeixinMp\api\sign\index.js
 */
import request from '../../src/js/request'
import {
  _HOSPITAL
} from '../base-url'

// 患者端的网签管理列表
export const fhPatientSignList = (params) =>
  request({
    url: `${_HOSPITAL}/lien/wait-sign`,
    method: 'get',
    params
  })


// 网签管理详情信息
export const fhPatientSignDetail = (params) =>
  request({
    url: `${_HOSPITAL}/lien/view-visitation`,
    method: 'get',
    params
  })

// 网签管理的支付接口
export const fhClientSignPay = (signId, params, data) =>
  request({
    url: `${_HOSPITAL}/lien/${signId}/pay`,
    method: 'put',
    params,
    data
  })

  // 获取本次远程待签署的文件
export const fhGetWaitSignList = (params) =>
  request({
    url: `${_HOSPITAL}/lien/view-doc`,
    method: 'get',
    params
  })

  // 网签管理签署
export const fhHandleSignFile = (documentId,params,data) =>
request({
  url:`${_HOSPITAL}/lien/${documentId}/sign`,
  method:'post',
  params,
  data
})

// 患者实名认证
export const fhPatientVerty = (params) =>
  request({
    url:`${_HOSPITAL}/lien/patient`,
    method:'get',
    params
  })

// 患者是否认证
export const fhIsVerityPatientVerty = (params) =>
  request({
    url:`${_HOSPITAL}/lien/firm-define`,
    method:'post',
    params
  })

// 获取医院当前医院的设置
export const fhHospitalSet = (hospitalId) =>
  request({
    url:`${_HOSPITAL}/lien/${hospitalId}/set`,
    method:'get'
  })

// 获取患者填写合同相关信息
export const fhGetFillInformation = (params) =>
  request({
    url:`/hospital/client/lien/get-sign-table-patient`,
    method: 'post',
    params
  })

